PIRL.Viewers

## Class Draggable_Rows.Row_Moved_Event

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.ChangeEvent
    - - PIRL.Viewers.Draggable_Rows.Row_Moved_Event

All Implemented Interfaces:
  Serializable

Enclosing class:
  Draggable_Rows

    public class Draggable_Rows.Row_Moved_Event
    extends ChangeEvent

A Row_Moved_Event carries the information that a component row has moved from one position to another in the pane.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `From`
`int` `To`

### Fields inherited from class java.util.EventObject

`source`

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### From

    public int From

#### To

    public int To